

def ist_enthalten(n, z):
    if len(z) == 0:
        return False

    m = len(z) // 2

    if z[m] == n:
        return True
    elif z[m] < n:
        return ist_enthalten(n, z[m+1:])   # Obere Hälfte der Liste
    elif z[m] > n:
        return ist_enthalten(n, z[:m])     # Untere Hälfte der Liste


z = [1,2,3,5,8,13,21,34]
print(ist_enthalten(7, z))
print(ist_enthalten(5, z))
print(ist_enthalten(60, z))

#maximal 4 iterationen